<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>inheritTestImplements (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/filelevel/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/filelevel/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/filelevel/inherittestimplements.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\FileLevel\inheritTestImplements</div>
<a href="../../../source/tests/cases/data/php5-test.php.html#line252" class="location">tests/cases/data/php5-test.php at line 252</a>

<h1>Class inheritTestImplements</h1>

<pre class="tree"><strong>inheritTestImplements</strong><br /></pre>

<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../phpdoctor/tests/filelevel/inheritinterfacetest.html">inheritInterfaceTest</a> </dd>
</dl>

<hr>

<p class="signature">public  class <strong>inheritTestImplements</strong></p>

<div class="comment" id="overview_description"><p>A child class doccomment</p><p>Test inheriting of interface doccomments</p></div>

<hr>

<table id="summary_field">
<tr><th colspan="2">Field Summary</th></tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#anInterfaceField">$anInterfaceField</a></p><p class="description">Parent field comment is: Test inheriting of interface field doccomments</p></td>
</tr>
</table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#anInterfaceMethod()">anInterfaceMethod</a>()</p><p class="description">Parent method comment is: Test inheriting of interface method doccomments</p></td>
</tr>
</table>

<h2 id="detail_field">Field Detail</h2>
<a href="../../../source/tests/cases/data/php5-test.php.html#line257" class="location">tests/cases/data/php5-test.php at line 257</a>

<h3 id="anInterfaceField">anInterfaceField</h3>
<code class="signature">public  mixed <strong>$anInterfaceField</strong></code>
<div class="details">
<p>Parent field comment is: Test inheriting of interface field doccomments</p></div>

<hr>

<h2 id="detail_method">Method Detail</h2>
<a href="../../../source/tests/cases/data/php5-test.php.html#line262" class="location">tests/cases/data/php5-test.php at line 262</a>

<h3 id="anInterfaceMethod()">anInterfaceMethod</h3>
<code class="signature">public  void <strong>anInterfaceMethod</strong>()</code>
<div class="details">
<p>Parent method comment is: Test inheriting of interface method doccomments</p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/filelevel/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/filelevel/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/filelevel/inherittestimplements.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>